<?php
/* Autor...:  */
/* Esquema.: SEG_UsuarioCompania.xml */
/* Generado: 2020-08-18 04:21:30 */

/* Metodos de acceso a los campos de la tabla SEG_UsuarioCompania */
abstract class BaseSEG_UsuarioCompaniaBN
{
    /* Campos de la tabla */
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $s_IdUsuario;    // IdUsuario: ( no definido )

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdUsuario */
    public function setIdUsuario( $s_IdUsuario )
    {
        $this->s_IdUsuario = $s_IdUsuario;
    }

    /* Obtiene el valor del campo IdUsuario */
    public function getIdUsuario()
    {
        return $this->s_IdUsuario;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdCompania' => $this->getIdCompania(),
            'IdUsuario' => $this->getIdUsuario(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto SEG_UsuarioCompaniaBN desde un RecordSet */
    public static function retrieveByRs( $o_SEG_UsuarioCompaniaRs )
    {
        $o_SEG_UsuarioCompaniaBN = new SEG_UsuarioCompaniaBN();
        $o_SEG_UsuarioCompaniaBN->setIdCompania( ( integer ) $o_SEG_UsuarioCompaniaRs[ "IdCompania" ] );
        $o_SEG_UsuarioCompaniaBN->setIdUsuario( $o_SEG_UsuarioCompaniaRs[ "IdUsuario" ] );
        return $o_SEG_UsuarioCompaniaBN;
    }
}
?>